Package com.independentsoft.office.word

# Enum Class GlossaryDocumentEntryType

java.lang.Object
java.lang.Enum<GlossaryDocumentEntryType>
com.independentsoft.office.word.GlossaryDocumentEntryType

All Implemented Interfaces:
  `Serializable`, `Comparable<GlossaryDocumentEntryType>`, `Constable`

public enum GlossaryDocumentEntryType extends Enum<GlossaryDocumentEntryType>
The Enum GlossaryDocumentEntryType.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `AUTO_CORRECT_ENTRY`
  `AUTO_TEXT_USER_INTERFACE_ENTRY`
  `AUTOMATICALLY_REPLACE_NAME_WITH_CONTENT`
  `FORM_FIELD_HELP_TEXT`
  `NONE`
  `NORMAL`
  `STRUCTURED_DOCUMENT_TAG_PLACEHOLDER_TEXT`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static GlossaryDocumentEntryType`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static GlossaryDocumentEntryType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### AUTOMATICALLY_REPLACE_NAME_WITH_CONTENT

    public static final GlossaryDocumentEntryType AUTOMATICALLY_REPLACE_NAME_WITH_CONTENT

  - ### STRUCTURED_DOCUMENT_TAG_PLACEHOLDER_TEXT

    public static final GlossaryDocumentEntryType STRUCTURED_DOCUMENT_TAG_PLACEHOLDER_TEXT

  - ### FORM_FIELD_HELP_TEXT

    public static final GlossaryDocumentEntryType FORM_FIELD_HELP_TEXT

  - ### NORMAL

    public static final GlossaryDocumentEntryType NORMAL

  - ### AUTO_CORRECT_ENTRY

    public static final GlossaryDocumentEntryType AUTO_CORRECT_ENTRY

  - ### AUTO_TEXT_USER_INTERFACE_ENTRY

    public static final GlossaryDocumentEntryType AUTO_TEXT_USER_INTERFACE_ENTRY

  - ### NONE

    public static final GlossaryDocumentEntryType NONE

- ## Method Details

  - ### values

    public static GlossaryDocumentEntryType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static GlossaryDocumentEntryType valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null